<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: ib_defs_m::ib_nprobe_ Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceib__defs__m.html">ib_defs_m</a></li><li class="navelem"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html">ib_nprobe_</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structib__defs__m_1_1ib__nprobe__-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ib_defs_m::ib_nprobe_ Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for ib_defs_m::ib_nprobe_:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structib__defs__m_1_1ib__nprobe____coll__graph.png" border="0" usemap="#ib__defs__m_1_1ib__nprobe___coll__map" alt="Collaboration graph"/></div>
<map name="ib__defs__m_1_1ib__nprobe___coll__map" id="ib__defs__m_1_1ib__nprobe___coll__map">
<area shape="rect" id="node2" href="structib__defs__m_1_1ib__intrp__.html" title="{ib_defs_m::ib_intrp_\n|+ np\l+ index\l+ weight\l+ x_ib\l+ eta\l+ wt_neum\l|}" alt="" coords="13,5,151,156"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aab840162bde663430ea9e66b25a3f401"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#aab840162bde663430ea9e66b25a3f401">np</a></td></tr>
<tr class="separator:aab840162bde663430ea9e66b25a3f401"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a919c753928041591e050a89413b3c3b0"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#a919c753928041591e050a89413b3c3b0">ip_u</a></td></tr>
<tr class="separator:a919c753928041591e050a89413b3c3b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7b5fe830fd81f3bd598dda3b03c2ffb"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(2)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#af7b5fe830fd81f3bd598dda3b03c2ffb">dx</a></td></tr>
<tr class="separator:af7b5fe830fd81f3bd598dda3b03c2ffb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04cdf24c26fdeb92e60bfaf0b65a994c"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#a04cdf24c26fdeb92e60bfaf0b65a994c">x_ib</a></td></tr>
<tr class="separator:a04cdf24c26fdeb92e60bfaf0b65a994c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae74b6883ae5678cc2f60e66cf22fbe8f"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#ae74b6883ae5678cc2f60e66cf22fbe8f">d_ib</a></td></tr>
<tr class="separator:ae74b6883ae5678cc2f60e66cf22fbe8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84eac8988f47ecfd2990da316216c947"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#a84eac8988f47ecfd2990da316216c947">d_ib_sign</a></td></tr>
<tr class="separator:a84eac8988f47ecfd2990da316216c947"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acec141793469289ecda1398c607c8d2f"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#acec141793469289ecda1398c607c8d2f">nv</a></td></tr>
<tr class="separator:acec141793469289ecda1398c607c8d2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0087a3197415ff808c941a7524a4b4fd"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#a0087a3197415ff808c941a7524a4b4fd">e_t</a></td></tr>
<tr class="separator:a0087a3197415ff808c941a7524a4b4fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64b721046661fb002701905488aaad9a"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(3, 2)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#a64b721046661fb002701905488aaad9a">xp</a></td></tr>
<tr class="separator:a64b721046661fb002701905488aaad9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00e650ec152f919ddf41b2784a0b48f9"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#a00e650ec152f919ddf41b2784a0b48f9">wt_flux2d</a></td></tr>
<tr class="separator:a00e650ec152f919ddf41b2784a0b48f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58e72aeb0f8a54dad34dc478867ff1c1"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#a58e72aeb0f8a54dad34dc478867ff1c1">wt_d2flux</a></td></tr>
<tr class="separator:a58e72aeb0f8a54dad34dc478867ff1c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6a40bdb02531bf9b06ad0c3c2c2e4f3"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(2, 2)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#ab6a40bdb02531bf9b06ad0c3c2c2e4f3">wt_lin</a></td></tr>
<tr class="separator:ab6a40bdb02531bf9b06ad0c3c2c2e4f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa216ef71d9f783cdf5c376e4a16dbc8"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(2, 2)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#afa216ef71d9f783cdf5c376e4a16dbc8">wt_neum</a></td></tr>
<tr class="separator:afa216ef71d9f783cdf5c376e4a16dbc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6326e6175d46a221d4ea2d6d8bd2a32e"><td class="memItemLeft" align="right" valign="top">integer, dimension(3, 2)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#a6326e6175d46a221d4ea2d6d8bd2a32e">icv_n</a></td></tr>
<tr class="separator:a6326e6175d46a221d4ea2d6d8bd2a32e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad540882f9de8f4839017dda787f0bca5"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structib__defs__m_1_1ib__intrp__.html">ib_intrp_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#ad540882f9de8f4839017dda787f0bca5">intrp1</a></td></tr>
<tr class="separator:ad540882f9de8f4839017dda787f0bca5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a147da4848e70a178cf822c78efe6bf01"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structib__defs__m_1_1ib__intrp__.html">ib_intrp_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#a147da4848e70a178cf822c78efe6bf01">intrp2</a></td></tr>
<tr class="separator:a147da4848e70a178cf822c78efe6bf01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a178e6cfc809cd5e418ccb3c8ebba1dd1"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structib__defs__m_1_1ib__intrp__.html">ib_intrp_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__nprobe__.html#a178e6cfc809cd5e418ccb3c8ebba1dd1">intrp_u</a></td></tr>
<tr class="separator:a178e6cfc809cd5e418ccb3c8ebba1dd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ae74b6883ae5678cc2f60e66cf22fbe8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae74b6883ae5678cc2f60e66cf22fbe8f">&#9670;&nbsp;</a></span>d_ib</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ib_defs_m::ib_nprobe_::d_ib</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a84eac8988f47ecfd2990da316216c947"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84eac8988f47ecfd2990da316216c947">&#9670;&nbsp;</a></span>d_ib_sign</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ib_defs_m::ib_nprobe_::d_ib_sign</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af7b5fe830fd81f3bd598dda3b03c2ffb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7b5fe830fd81f3bd598dda3b03c2ffb">&#9670;&nbsp;</a></span>dx</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(2) ib_defs_m::ib_nprobe_::dx</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0087a3197415ff808c941a7524a4b4fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0087a3197415ff808c941a7524a4b4fd">&#9670;&nbsp;</a></span>e_t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(3) ib_defs_m::ib_nprobe_::e_t</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6326e6175d46a221d4ea2d6d8bd2a32e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6326e6175d46a221d4ea2d6d8bd2a32e">&#9670;&nbsp;</a></span>icv_n</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(3,2) ib_defs_m::ib_nprobe_::icv_n</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad540882f9de8f4839017dda787f0bca5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad540882f9de8f4839017dda787f0bca5">&#9670;&nbsp;</a></span>intrp1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structib__defs__m_1_1ib__intrp__.html">ib_intrp_</a>), pointer ib_defs_m::ib_nprobe_::intrp1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a147da4848e70a178cf822c78efe6bf01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a147da4848e70a178cf822c78efe6bf01">&#9670;&nbsp;</a></span>intrp2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structib__defs__m_1_1ib__intrp__.html">ib_intrp_</a>), pointer ib_defs_m::ib_nprobe_::intrp2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a178e6cfc809cd5e418ccb3c8ebba1dd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a178e6cfc809cd5e418ccb3c8ebba1dd1">&#9670;&nbsp;</a></span>intrp_u</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structib__defs__m_1_1ib__intrp__.html">ib_intrp_</a>), pointer ib_defs_m::ib_nprobe_::intrp_u</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a919c753928041591e050a89413b3c3b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a919c753928041591e050a89413b3c3b0">&#9670;&nbsp;</a></span>ip_u</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer ib_defs_m::ib_nprobe_::ip_u</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aab840162bde663430ea9e66b25a3f401"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab840162bde663430ea9e66b25a3f401">&#9670;&nbsp;</a></span>np</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer ib_defs_m::ib_nprobe_::np</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acec141793469289ecda1398c607c8d2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acec141793469289ecda1398c607c8d2f">&#9670;&nbsp;</a></span>nv</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(3) ib_defs_m::ib_nprobe_::nv</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a58e72aeb0f8a54dad34dc478867ff1c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58e72aeb0f8a54dad34dc478867ff1c1">&#9670;&nbsp;</a></span>wt_d2flux</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(3) ib_defs_m::ib_nprobe_::wt_d2flux</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a00e650ec152f919ddf41b2784a0b48f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00e650ec152f919ddf41b2784a0b48f9">&#9670;&nbsp;</a></span>wt_flux2d</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(3) ib_defs_m::ib_nprobe_::wt_flux2d</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab6a40bdb02531bf9b06ad0c3c2c2e4f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6a40bdb02531bf9b06ad0c3c2c2e4f3">&#9670;&nbsp;</a></span>wt_lin</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(2,2) ib_defs_m::ib_nprobe_::wt_lin</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afa216ef71d9f783cdf5c376e4a16dbc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa216ef71d9f783cdf5c376e4a16dbc8">&#9670;&nbsp;</a></span>wt_neum</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(2,2) ib_defs_m::ib_nprobe_::wt_neum</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a04cdf24c26fdeb92e60bfaf0b65a994c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04cdf24c26fdeb92e60bfaf0b65a994c">&#9670;&nbsp;</a></span>x_ib</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(3) ib_defs_m::ib_nprobe_::x_ib</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a64b721046661fb002701905488aaad9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64b721046661fb002701905488aaad9a">&#9670;&nbsp;</a></span>xp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(3,2) ib_defs_m::ib_nprobe_::xp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="ib__defs__m_8f90.html">ib_defs_m.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
